### Function

# PapersDocument SignaturePasswordCallback

#### Declaration

    char*
    (* PpsSignaturePasswordCallback) (
      const gchar* text,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `char*`

The password.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.